#include "xgpuvertexfetchconstant.h"

XGpuVertexFetchConstant::XGpuVertexFetchConstant()
    : XAsset()
    , mRequest()
{
    SetName("GPU Vertex Fetch Constant");
}

XGpuVertexFetchConstant::~XGpuVertexFetchConstant()
{

}

void XGpuVertexFetchConstant::ParseData(XDataStream *aStream)
{
    mRequest.ParseData(aStream);
}

void XGpuVertexFetchConstant::Clear()
{
    mRequest.Clear();
}
